LMS API Documentation: lms_dev_info_t Struct Reference

LMS API Documentation v20.10.0

Data Fields
lms_dev_info_t Struct Reference
Version and update functions

`#include <LimeSuite.h>`

## Data Fields
char | deviceName [32]
| The display name of the device. More...
char | expansionName [32]
| The display name of the expansion card. More...
char | firmwareVersion [16]
| The firmware version as a string. More...
char | hardwareVersion [16]
| The hardware version as a string. More...
char | protocolVersion [16]
| The protocol version as a string. More...
uint64_t | boardSerialNumber
| A unique board serial number. More...
char | gatewareVersion [16]
| Gateware version as a string. More...
char | gatewareTargetBoard [32]
| Which board should use this gateware. More...

## Detailed Description

Device information structure

Definition at line 1286 of file LimeSuite.h.

## Field Documentation

## ◆ boardSerialNumber

uint64_t boardSerialNumber

A unique board serial number.

Definition at line 1293 of file LimeSuite.h.

## ◆ deviceName

char deviceName[32]

The display name of the device.

Definition at line 1288 of file LimeSuite.h.

## ◆ expansionName

char expansionName[32]

The display name of the expansion card.

Definition at line 1289 of file LimeSuite.h.

## ◆ firmwareVersion

char firmwareVersion[16]

The firmware version as a string.

Definition at line 1290 of file LimeSuite.h.

## ◆ gatewareTargetBoard

char gatewareTargetBoard[32]

Which board should use this gateware.

Definition at line 1295 of file LimeSuite.h.

## ◆ gatewareVersion

char gatewareVersion[16]

Gateware version as a string.

Definition at line 1294 of file LimeSuite.h.

## ◆ hardwareVersion

char hardwareVersion[16]

The hardware version as a string.

Definition at line 1291 of file LimeSuite.h.

## ◆ protocolVersion

char protocolVersion[16]

The protocol version as a string.

Definition at line 1292 of file LimeSuite.h.

The documentation for this struct was generated from the following file:

- /build/limesuite/src/LimeSuite-20.10.0/src/lime/LimeSuite.h